#ifndef __USBDMC_H__
#define __USBDMC_H__

/* IOCTL */
#define	DMC_MAGIC				0xc0
#define	CTRLCODE(a)				((DMC_MAGIC<<8)+a)

#define USBDMC_SETUP			CTRLCODE(1)
#define USBDMC_RESET			CTRLCODE(2)
#define USBDMC_SPECIFY			CTRLCODE(3)
#define USBDMC_GOTO_IDLE		CTRLCODE(4)
#define USBDMC_GOTO_XYP			CTRLCODE(5)
#define USBDMC_READ_EEPROM		CTRLCODE(6)
#define USBDMC_WRITE_EEPROM		CTRLCODE(7)
#define USBDMC_READ_STAT		CTRLCODE(8)
#define USBDMC_READ_MEM			CTRLCODE(9)
#define USBDMC_WRITE_MEM		CTRLCODE(10)
#define USBDMC_SET_OFFDELAY		CTRLCODE(11)
#define USBDMC_GET_OFFDELAY		CTRLCODE(12)

#endif
